'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.TransferDom = exports.SwipeAction = exports.PullToRefresh = exports.Overlay = exports.Toast = exports.Loading = exports.ActionSheet = exports.CarouselItem = exports.Carousel = exports.Popover = exports.Popup = exports.CollapsePanel = exports.Collapse = exports.Modal = exports.DropdownMenuItem = exports.DropdownMenu = exports.Empty = exports.ListItem = exports.List = exports.Upload = exports.Switch = exports.Picker = exports.PickerView = exports.Stepper = exports.CheckboxItem = exports.CheckboxGroup = exports.Checkbox = exports.Search = exports.NumberKeyboard = exports.InputNumberItem = exports.InputNumber = exports.RadioItem = exports.RadioGroup = exports.Radio = exports.RangePicker = exports.RangePickerView = exports.DatetimePicker = exports.DatetimePickerView = exports.Calendar = exports.TextareaItem = exports.Textarea = exports.InputItem = exports.Input = exports.Tab = exports.Tabs = exports.WhiteSpace = exports.WingBlank = exports.FlexItem = exports.FlexBox = exports.Icon = exports.Button = undefined;

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

var _icon = require('./icon');

var _icon2 = _interopRequireDefault(_icon);

var _flexBox = require('./flex-box');

var _flexBox2 = _interopRequireDefault(_flexBox);

var _flexItem = require('./flex-item');

var _flexItem2 = _interopRequireDefault(_flexItem);

var _wingBlank = require('./wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _whiteSpace = require('./white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _tabs = require('./tabs');

var _tabs2 = _interopRequireDefault(_tabs);

var _tab = require('./tab');

var _tab2 = _interopRequireDefault(_tab);

var _input = require('./input');

var _input2 = _interopRequireDefault(_input);

var _inputItem = require('./input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _textarea = require('./textarea');

var _textarea2 = _interopRequireDefault(_textarea);

var _textareaItem = require('./textarea-item');

var _textareaItem2 = _interopRequireDefault(_textareaItem);

var _inputNumber = require('./input-number');

var _inputNumber2 = _interopRequireDefault(_inputNumber);

var _inputNumberItem = require('./input-number-item');

var _inputNumberItem2 = _interopRequireDefault(_inputNumberItem);

var _numberKeyboard = require('./number-keyboard');

var _numberKeyboard2 = _interopRequireDefault(_numberKeyboard);

var _search = require('./search');

var _search2 = _interopRequireDefault(_search);

var _calendar = require('./calendar');

var _calendar2 = _interopRequireDefault(_calendar);

var _datetimePickerView = require('./datetime-picker-view');

var _datetimePickerView2 = _interopRequireDefault(_datetimePickerView);

var _datetimePicker = require('./datetime-picker');

var _datetimePicker2 = _interopRequireDefault(_datetimePicker);

var _rangePickerView = require('./range-picker-view');

var _rangePickerView2 = _interopRequireDefault(_rangePickerView);

var _rangePicker = require('./range-picker');

var _rangePicker2 = _interopRequireDefault(_rangePicker);

var _radio = require('./radio');

var _radio2 = _interopRequireDefault(_radio);

var _radioGroup = require('./radio-group');

var _radioGroup2 = _interopRequireDefault(_radioGroup);

var _radioItem = require('./radio-item');

var _radioItem2 = _interopRequireDefault(_radioItem);

var _checkbox = require('./checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _checkboxGroup = require('./checkbox-group');

var _checkboxGroup2 = _interopRequireDefault(_checkboxGroup);

var _checkboxItem = require('./checkbox-item');

var _checkboxItem2 = _interopRequireDefault(_checkboxItem);

var _stepper = require('./stepper');

var _stepper2 = _interopRequireDefault(_stepper);

var _pickerView = require('./picker-view');

var _pickerView2 = _interopRequireDefault(_pickerView);

var _picker = require('./picker');

var _picker2 = _interopRequireDefault(_picker);

var _switch = require('./switch');

var _switch2 = _interopRequireDefault(_switch);

var _upload = require('./upload');

var _upload2 = _interopRequireDefault(_upload);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

var _listItem = require('./list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _empty = require('./empty');

var _empty2 = _interopRequireDefault(_empty);

var _dropdownMenu = require('./dropdown-menu');

var _dropdownMenu2 = _interopRequireDefault(_dropdownMenu);

var _dropdownMenuItem = require('./dropdown-menu-item');

var _dropdownMenuItem2 = _interopRequireDefault(_dropdownMenuItem);

var _popup = require('./popup');

var _popup2 = _interopRequireDefault(_popup);

var _popover = require('./popover');

var _popover2 = _interopRequireDefault(_popover);

var _modal = require('./modal');

var _modal2 = _interopRequireDefault(_modal);

var _collapse = require('./collapse');

var _collapse2 = _interopRequireDefault(_collapse);

var _collapsePanel = require('./collapse-panel');

var _collapsePanel2 = _interopRequireDefault(_collapsePanel);

var _carousel = require('./carousel');

var _carousel2 = _interopRequireDefault(_carousel);

var _carouselItem = require('./carousel-item');

var _carouselItem2 = _interopRequireDefault(_carouselItem);

var _actionSheet = require('./action-sheet');

var _actionSheet2 = _interopRequireDefault(_actionSheet);

var _loading = require('./loading');

var _loading2 = _interopRequireDefault(_loading);

var _toast = require('./toast');

var _toast2 = _interopRequireDefault(_toast);

var _overlay = require('./overlay');

var _overlay2 = _interopRequireDefault(_overlay);

var _pullToRefresh = require('./pull-to-refresh');

var _pullToRefresh2 = _interopRequireDefault(_pullToRefresh);

var _swipeAction = require('./swipe-action');

var _swipeAction2 = _interopRequireDefault(_swipeAction);

var _transferDom = require('./directives/transfer-dom');

var _transferDom2 = _interopRequireDefault(_transferDom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ENV = process.env.NODE_ENV;
if (ENV !== 'production' && ENV !== 'test' && typeof console !== 'undefined' && console.warn && typeof window !== 'undefined') {
    console.warn('You are using a whole package of sinosun-ui, ' + 'please use https://bizmatesit.sinosun.com:17380/bizmate/static/docs/platform/index.html#/./sinosun-ui/foreword to reduce app bundle size.');
}

/* 通用 */


/* 布局 */


/* 导航 */


/* 数据录入 */


/* 数据展示 */


/* 反馈 */


/* 手势 */


/* 指令 */


var components = [_button2['default'], _icon2['default'], _flexBox2['default'], _flexItem2['default'], _wingBlank2['default'], _whiteSpace2['default'], _tabs2['default'], _tab2['default'], _input2['default'], _inputItem2['default'], _textarea2['default'], _textareaItem2['default'], _calendar2['default'], _datetimePickerView2['default'], _datetimePicker2['default'], _rangePickerView2['default'], _rangePicker2['default'], _radio2['default'], _radioGroup2['default'], _radioItem2['default'], _inputNumber2['default'], _inputNumberItem2['default'], _numberKeyboard2['default'], _search2['default'], _checkbox2['default'], _checkboxGroup2['default'], _checkboxItem2['default'], _stepper2['default'], _pickerView2['default'], _picker2['default'], _switch2['default'], _upload2['default'], _list2['default'], _listItem2['default'], _empty2['default'], _dropdownMenu2['default'], _dropdownMenuItem2['default'], _modal2['default'], _collapse2['default'], _collapsePanel2['default'], _popup2['default'], _popover2['default'], _carousel2['default'], _carouselItem2['default'], _actionSheet2['default'], _loading2['default'], _toast2['default'], _overlay2['default'], _pullToRefresh2['default'], _swipeAction2['default']];

var install = function install(Vue) {
    components.map(function (component) {
        Vue.use(component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

exports.Button = _button2['default'];
exports.Icon = _icon2['default'];
exports.FlexBox = _flexBox2['default'];
exports.FlexItem = _flexItem2['default'];
exports.WingBlank = _wingBlank2['default'];
exports.WhiteSpace = _whiteSpace2['default'];
exports.Tabs = _tabs2['default'];
exports.Tab = _tab2['default'];
exports.Input = _input2['default'];
exports.InputItem = _inputItem2['default'];
exports.Textarea = _textarea2['default'];
exports.TextareaItem = _textareaItem2['default'];
exports.Calendar = _calendar2['default'];
exports.DatetimePickerView = _datetimePickerView2['default'];
exports.DatetimePicker = _datetimePicker2['default'];
exports.RangePickerView = _rangePickerView2['default'];
exports.RangePicker = _rangePicker2['default'];
exports.Radio = _radio2['default'];
exports.RadioGroup = _radioGroup2['default'];
exports.RadioItem = _radioItem2['default'];
exports.InputNumber = _inputNumber2['default'];
exports.InputNumberItem = _inputNumberItem2['default'];
exports.NumberKeyboard = _numberKeyboard2['default'];
exports.Search = _search2['default'];
exports.Checkbox = _checkbox2['default'];
exports.CheckboxGroup = _checkboxGroup2['default'];
exports.CheckboxItem = _checkboxItem2['default'];
exports.Stepper = _stepper2['default'];
exports.PickerView = _pickerView2['default'];
exports.Picker = _picker2['default'];
exports.Switch = _switch2['default'];
exports.Upload = _upload2['default'];
exports.List = _list2['default'];
exports.ListItem = _listItem2['default'];
exports.Empty = _empty2['default'];
exports.DropdownMenu = _dropdownMenu2['default'];
exports.DropdownMenuItem = _dropdownMenuItem2['default'];
exports.Modal = _modal2['default'];
exports.Collapse = _collapse2['default'];
exports.CollapsePanel = _collapsePanel2['default'];
exports.Popup = _popup2['default'];
exports.Popover = _popover2['default'];
exports.Carousel = _carousel2['default'];
exports.CarouselItem = _carouselItem2['default'];
exports.ActionSheet = _actionSheet2['default'];
exports.Loading = _loading2['default'];
exports.Toast = _toast2['default'];
exports.Overlay = _overlay2['default'];
exports.PullToRefresh = _pullToRefresh2['default'];
exports.SwipeAction = _swipeAction2['default'];
exports.TransferDom = _transferDom2['default'];
exports['default'] = {
    install: install
};